PipeWire: protocol.c File Reference

PipeWire 0.2.5

Functions
protocol.c File Reference
Include dependency graph for protocol.c:

## Functions
struct pw_protocol * | pw_protocol_new (struct pw_core *core, const char *name, size_t user_data_size)
void * | pw_protocol_get_user_data (struct pw_protocol *protocol)
const struct pw_protocol_implementaton * | pw_protocol_get_implementation (struct pw_protocol *protocol)
const void * | pw_protocol_get_extension (struct pw_protocol *protocol)
void | pw_protocol_destroy (struct pw_protocol *protocol)
void | pw_protocol_add_listener (struct pw_protocol *protocol, struct spa_hook *listener, const struct pw_protocol_events *events, void *data)
int | pw_protocol_add_marshal (struct pw_protocol *protocol, const struct pw_protocol_marshal *marshal)
const struct pw_protocol_marshal * | pw_protocol_get_marshal (struct pw_protocol *protocol, uint32_t type)
struct pw_protocol * | pw_core_find_protocol (struct pw_core *core, const char *name)

## Function Documentation

## ◆ pw_core_find_protocol()

struct pw_protocol* pw_core_find_protocol | ( | struct pw_core * | core,
|  | const char * | name
| ) |  |

Referenced by pw_remote_new().

## ◆ pw_protocol_add_listener()

void pw_protocol_add_listener | ( | struct pw_protocol * | protocol,
|  | struct spa_hook * | listener,
|  | const struct pw_protocol_events * | events,
|  | void * | data
| ) |  |

References pw_protocol_client::protocol.

## ◆ pw_protocol_add_marshal()

int pw_protocol_add_marshal | ( | struct pw_protocol * | protocol,
|  | const struct pw_protocol_marshal * | marshal
| ) |  |

References pw_log::pw_log_debug(), pw_protocol_marshal::type, and pw_protocol_marshal::version.

## ◆ pw_protocol_destroy()

void pw_protocol_destroy | ( | struct pw_protocol * | protocol | ) |

References pw_protocol_client::link, pw_protocol_client::protocol, pw_log::pw_log_debug(), pw_protocol_client_destroy, and pw_protocol_server_destroy.

## ◆ pw_protocol_get_extension()

const void* pw_protocol_get_extension | ( | struct pw_protocol * | protocol | ) |

## ◆ pw_protocol_get_implementation()

const struct pw_protocol_implementaton* pw_protocol_get_implementation | ( | struct pw_protocol * | protocol | ) |

## ◆ pw_protocol_get_marshal()

const struct pw_protocol_marshal* pw_protocol_get_marshal | ( | struct pw_protocol * | protocol,
|  | uint32_t | type
| ) |  |

Referenced by pw_proxy::pw_proxy_new(), and pw_resource_new().

## ◆ pw_protocol_get_user_data()

void* pw_protocol_get_user_data | ( | struct pw_protocol * | protocol | ) |

## ◆ pw_protocol_new()

struct pw_protocol* pw_protocol_new | ( | struct pw_core * | core,
|  | const char * | name,
|  | size_t | user_data_size
| ) |  |

References pw_log::pw_log_debug().